Subject: Re: bug#44653: 28.0.50; sql-mode gets confused about string literals

From: martin rudalics <[email-masked]>
Date: Thu, 28 Jan 2021 10:41:35 +0100

> Do I correctly understand your statement to mean that parse state is
 > only updated when characters are added to a buffer, not when
 > characters are deleted?

The parse state is always updated after any buffer modification that
happened in the part before the position for which the state shall be
calculated.  The problem is, that syntax properties may override the
parse state.  And combined delimiters are always a pain (IIRC there were
discussions here whether in the middle of the C comment delimiters "/*"
and "*/" we are already or still in the corresponding comment.

martin